void read()
{
    // note that we use "new" to create the TFile and TTree objects, because we
    // want to keep these objects alive when we leave this function.
    TFile *f = new TFile("/Users/moretto/Documents/thesis/ESAF/Code/esaf_lal/esaf/camille_work/KIT_phase1_study/30_ns_TimeResolution__100_event/simu.root");
    TTree *etree = (TTree*)f->Get("etree");
    
    // create a pointer to an EDetPhoton object for reading the branch values.
    EDetPhoton *edetphoton = new EDetPhoton();
    
    // get a branche and set the branch address
    etree->SetBranchAddress("fPhotons.fSignalTime", &edetphoton);
    
    
    //Get the number of entries in the tree
    Long64_t nentries = etree->GetEntries();
    std::cout << "**************************" << std::endl;
    std::cout << "Number of entries => " << nentries << std::endl;
    std::cout << "**************************" << std::endl;
    
    //Create a TProfile and an histogram
    hprof = new TProfile("hprof", "Average number of photons detected by the electronics per GTU", 40, 160, 260);
    TH1F *histo = new TH1F("histo", "fPhotons.fTime histogram (GTU in abscissa)", 40, 160, 260);

    //Loop on entries
    Long64_t nbytes = 0;
    for (Long64_t i=0; i<nentries;i++)
    {

        //histo->Fill("fPhotons.fSignalTime");
        //histo->Draw();
    }

    etree->GetEntry(0);
    etree->Draw("fPhotons.fSignalTime");

    
}
